-- Companies with top titles (max rating above threshold)
SELECT cn.id, cn.name, max(r.rating), sum(r.votes)
FROM company_name AS cn,
     movie_companies AS mc,
     movie_rating AS r
WHERE cn.id = mc.id
  AND mc.movie_id = r.movie_id
  AND r.votes > 1000
GROUP BY cn.id, cn.name
HAVING max(r.rating) > $THRESHOLD -- parameter range [1.5, 9] in .5 increments
ORDER BY sum(r.rating);
