-- IMDB movie ratings with proper numerical columns
CREATE TABLE movie_rating (
    movie_id INTEGER NOT NULL PRIMARY KEY,
    votes INTEGER,
    rating NUMERIC(2, 1)
);

WITH votes AS (
    SELECT movie_id, info::INTEGER AS votes
    FROM movie_info_idx
    WHERE info_type_id = 100
),
rating AS (
    SELECT movie_id, info::NUMERIC(2, 1) AS rating
    FROM movie_info_idx
    WHERE info_type_id = 101
)
INSERT INTO movie_rating (
    SELECT COALESCE(v.movie_id, r.movie_id), v.votes, r.rating
    FROM votes v
    FULL OUTER JOIN rating r
        ON v.movie_id = r.movie_id
);

