#!/usr/bin/env bash
set -euo pipefail

# Make sure the repo is up to date
dbgen.sh > /dev/null || true

# Look for HAVING queries
cd public_bi_benchmark/benchmark
QUERIES=$(find . -name '*.sql' -print0 | xargs -0 grep -il having | sort)

# Disable overly expensive queries for this analysis
QUERIES=$(echo "$QUERIES" | grep -v CommonGovernment)
QUERIES=$(echo "$QUERIES" | grep -v 'Rentabilidad/queries/34.sql')

# Run the queries
for query in $QUERIES; do
  DB=$(echo "$query" | cut -d/ -f2)
  echo "-- For db/$DB.db"
  cat $query
done;
