#!/usr/bin/env bash

# Q18 subquery in 33 increments of 10, ranges from selecting 0% to 100%
for THRESHOLD in $(seq 0 10 330); do
  echo "-- sum(quantity)"
  echo "-- $THRESHOLD"
  echo "select l_orderkey from lineitem group by l_orderkey having sum(l_quantity) > $THRESHOLD"
done

# sum(l_quantity * l_extendedprice) in 25 increments of 1M, ranges from selecting 0% to 100%
for THRESHOLD in $(seq 0 1000000 25000000); do
  echo "-- sum(quantity * price)"
  echo "-- $THRESHOLD"
  echo "select l_orderkey from lineitem group by l_orderkey having sum(l_quantity * l_extendedprice) > $THRESHOLD"
done

# With custom generated data
# Make sure to run on the generated data by dbgen.r

# sum(correlated_quantity * l_extendedprice) in 24 increments of 500k, ranges from selecting 0% to 100%
for THRESHOLD in $(seq 0 500000 12000000); do
  echo "-- + correlation"
  echo "-- $THRESHOLD"
  echo "select l_orderkey from custom_lineitem group by l_orderkey having sum(correlated_quantity * l_extendedprice) > $THRESHOLD"
done

# sum(zipf_quantity) in in 30 increments of 10, ranges from selecting 0% to 100%
for THRESHOLD in $(seq 0 10 300); do
  echo "-- + skew"
  echo "-- $THRESHOLD"
  echo "select l_orderkey from custom_lineitem group by l_orderkey having sum(zipf_quantity) > $THRESHOLD"
done
